Clicky

Ir para conteúdo

sas

Como faço para recompilar o Apache? E como ativo o PDO?

Posts Recomendados

Acesse Main >> Software >> EasyApache (Apache Update)

Em "Begin by selecting a profile to load:" selecione "Previously Saved Config", escolha a versão 5.2.9 do PHP, de preferência, pra evitar imcompatibilidade e erros, quando chegar em "Short Options List" clique em "Exhaustive Option List" para ter uma lista de todas as extensões possíveis. Então clique em "Salve & build". Quando o processo de recompilação terminar, acesse Service Configuration >> Configure PHP and SuExec e para o PHP5 selecione a opção DSO.

IMPORTANTE: Se você quiser habilitar o SuPHP para o resto do servidor e permitir o DSO somente em um ou mais domínios, eu lhe dou uma dica de como fazer isso.

Compartilhar este post


Link para o post
Compartilhar em outros sites
Visitante Alejandro

O Jaime ja falou tudo...

Compartilhar este post


Link para o post
Compartilhar em outros sites

jaimedomingos

A versão 5.2.14 tambem está dando imcompatibilidade? Pois uso essa aqui em meus vps.

Aqui so tive problema com isso na versão 5.3

Se esta versao ta funcionando pra vc, entao continua usando ela mesmo. Eu mencionei a 5.2.9 por que é a que eu uso em meus servidores.

Compartilhar este post


Link para o post
Compartilhar em outros sites

Aqui so tive problema com isso na versão 5.3

Nem te falo a quantida de site de clientes seus escrito em PHP que pararia de funcionar. O PHP 5.3 ele já vem nos moldes do PHP6... Muitos scripts do fantástico não funcionam no PHP 5.3 devido ao número de funções que foram retiradas... (funções de certa forma importantes e bastante usadas até então, principalmente a register_globals)

Compartilhar este post


Link para o post
Compartilhar em outros sites

jaimedomingos viu você falando ai para ativar somente para um domínio qual a vantagem de ativar somente para um único domínio e como se faz?

Olá, Malfredyne

Não sei qual a vantagem, especificamente.

No meu caso, uso o DSO em alguns domínios somente, por que tenho alguns sites meus onde exibo anúncios em todas as páginas do site (anúncios forçados) usando um módulo do Apache chamado mod_layout, que é incompatível com o SuPHP.

Para permitir isso, você precisa adicionar algumas linhas a um dos arquivos de configuração do Apache, pode ser o usr/local/apache/php.conf

Deseja detalhes de como fazer?

Compartilhar este post


Link para o post
Compartilhar em outros sites
Visitante
Este tópico está impedido de receber novos posts.

  • Quem Está Navegando   0 membros estão online

    Nenhum usuário registrado visualizando esta página.



O Portal do Host

Dicas para sua empresa de hospedagem. Artigos, notícias, tutoriais e os aspectos da indústria de hospedagem.

Limestone Networks

A LSN tem sido parceira e patrocinadora do PDH, fornecendo uma plataforma segura e confiável.

Cloud - Servidores decicados - Co-location
×